services:
    opentalent.liip_imagine.binary.loader.stream.profile_photos:
        class: Liip\ImagineBundle\Binary\Loader\StreamLoader
        arguments:
            - 'gaufrette://storage/'
        tags:
            - { name: 'liip_imagine.binary.loader', loader: 'stream.storage' }

# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    resolvers:
        my_resolver:
            web_path: ~

    cache : my_resolver

    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "imagick"

    data_loader: stream.storage

    filter_sets:
        sm:
            filters:
                relative_resize:
                    widen: 100
        md:
            filters:
                relative_resize:
                    widen: 300
        lg:
            filters:
                relative_resize:
                    widen: 800
        crop_sm:
            filters:
                crop:
                    size: ~
                    start: ~
                relative_resize:
                    widen: 100
        crop_md:
            filters:
                crop:
                    size: ~
                    start: ~
                relative_resize:
                    widen: 300
        crop_lg:
            filters:
                crop:
                    size: ~
                    start: ~
                relative_resize:
                    widen: 800
